API reference
Describe operations
tools_describe — Full description and input fields of up to 10 operations by id (from tools_search).
tools_describe · Reads saved data
Full description and input fields of up to 10 operations by id (from tools_search).
| REST | GET /api/public/v1/operations/describe |
| MCP tool | tools_describe |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | accounts:read |
| Group | Indirect calls and docs |
| Shown up front in profiles | every profile (core set) |
Input
| Field | Type | Required | Description |
|---|---|---|---|
ids |
array of string (0–64 chars) (1–10 items) | Yes | Operation ids. |
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/operations/describe?ids=%5B%2200000000-0000-4000-8000-000000000001%22%5D" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Call over MCP
{
"method": "tools/call",
"params": {
"name": "tools_describe",
"arguments": {
"ids": [
"00000000-0000-4000-8000-000000000001"
]
}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |